// ConfigDlg.h : Declaration of the CConfigDlg

#ifndef __DOMAINDLG_H_
#define __DOMAINDLG_H_

#include "resource.h"       // main symbols
#include <atlhost.h>

/////////////////////////////////////////////////////////////////////////////
// CDomainDlg - basically the same as DomainDialog
class CDomainDlg : public CAxDialogImpl<CDomainDlg>
{
public:
    CString statusMessage;

    enum { IDD = IDD_DIALOG1 };

    //all the messages we're prepared to receive
    BEGIN_MSG_MAP(CDomainDlg)
        MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
        COMMAND_ID_HANDLER(IDOK, OnOK)
        COMMAND_ID_HANDLER(IDCANCEL, OnOK)
        END_MSG_MAP()

        //init - set the window text - our warning message
        LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
    {
        ((CWindow) GetDlgItem(IDC_EDIT1)).SetWindowText(statusMessage);
        return 1;  // Let the system set the focus
    }

    //kill on OK and Cancel
    LRESULT OnOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
    {
        EndDialog(wID);
        return 0;
    }
};

#endif //__DOMAINDLG_H_
